# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/mediatek.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MediaTek SoC based Platforms

maintainers:
  - Sean Wang <sean.wang@mediatek.com>
  - Matthias Brugger <matthias.bgg@gmail.com>
description: |
  Boards with a MediaTek SoC shall have the following properties.

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - enum:
              - mediatek,mt2701-evb
          - const: mediatek,mt2701

      - items:
          - enum:
              - mediatek,mt2712-evb
          - const: mediatek,mt2712
      - items:
          - enum:
              - mediatek,mt6580-evbp1
          - const: mediatek,mt6580
      - items:
          - enum:
              - prestigio,pmt5008-3g
          - const: mediatek,mt6582
      - items:
          - enum:
              - fairphone,fp1
              - mundoreader,bq-aquaris5
          - const: mediatek,mt6589
      - items:
          - enum:
              - mediatek,mt6592-evb
          - const: mediatek,mt6592
      - items:
          - enum:
              - mediatek,mt6755-evb
          - const: mediatek,mt6755
      - items:
          - enum:
              - mediatek,mt6765-evb
          - const: mediatek,mt6765
      - items:
          - enum:
              - mediatek,mt6779-evb
          - const: mediatek,mt6779
      - items:
          - enum:
              - mediatek,mt6795-evb
          - const: mediatek,mt6795
      - items:
          - enum:
              - archermind,mt6797-x20-dev
              - mediatek,mt6797-evb
          - const: mediatek,mt6797
      - items:
          - enum:
              - bananapi,bpi-r64
              - mediatek,mt7622-rfb1
          - const: mediatek,mt7622
      - items:
          - enum:
              - mediatek,mt7623a-rfb-emmc
              - mediatek,mt7623a-rfb-nand
              - mediatek,mt7623n-rfb-emmc
              - bananapi,bpi-r2
          - const: mediatek,mt7623

      - items:
          - enum:
              - mediatek,mt7629-rfb
          - const: mediatek,mt7629
      - items:
          - enum:
              - mediatek,mt7986a-rfb
          - const: mediatek,mt7986a
      - items:
          - enum:
              - mediatek,mt7986b-rfb
          - const: mediatek,mt7986b
      - items:
          - enum:
              - mediatek,mt8127-moose
          - const: mediatek,mt8127
      - items:
          - enum:
              - mediatek,mt8135-evbp1
          - const: mediatek,mt8135
      - items:
          - enum:
              - mediatek,mt8167-pumpkin
          - const: mediatek,mt8167
      - description: Google Elm (Acer Chromebook R13)
        items:
          - const: google,elm-rev8
          - const: google,elm-rev7
          - const: google,elm-rev6
          - const: google,elm-rev5
          - const: google,elm-rev4
          - const: google,elm-rev3
          - const: google,elm
          - const: mediatek,mt8173
      - description: Google Hana (Lenovo Chromebook N23 Yoga, C330, 300e,...)
        items:
          - const: google,hana-rev6
          - const: google,hana-rev5
          - const: google,hana-rev4
          - const: google,hana-rev3
          - const: google,hana
          - const: mediatek,mt8173
      - description: Google Hana rev7 (Poin2 Chromebook 11C)
        items:
          - const: google,hana-rev7
          - const: mediatek,mt8173
      - items:
          - enum:
              - mediatek,mt8173-evb
          - const: mediatek,mt8173
      - items:
          - enum:
              - mediatek,mt8183-evb
          - const: mediatek,mt8183
      - description: Google Hayato
        items:
          - const: google,hayato-rev1
          - const: google,hayato
          - const: mediatek,mt8192
      - description: Google Spherion (Acer Chromebook 514)
        items:
          - const: google,spherion-rev3
          - const: google,spherion-rev2
          - const: google,spherion-rev1
          - const: google,spherion-rev0
          - const: google,spherion
          - const: mediatek,mt8192
      - description: Acer Tomato (Acer Chromebook Spin 513 CP513-2H)
        items:
          - enum:
              - google,tomato-rev2
              - google,tomato-rev1
          - const: google,tomato
          - const: mediatek,mt8195
      - description: Acer Tomato rev3 - 4 (Acer Chromebook Spin 513 CP513-2H)
        items:
          - const: google,tomato-rev4
          - const: google,tomato-rev3
          - const: google,tomato
          - const: mediatek,mt8195
      - items:
          - enum:
              - mediatek,mt8186-evb
          - const: mediatek,mt8186
      - items:
          - enum:
              - mediatek,mt8192-evb
          - const: mediatek,mt8192
      - items:
          - enum:
              - mediatek,mt8195-demo
              - mediatek,mt8195-evb
          - const: mediatek,mt8195
      - description: Google Burnet (HP Chromebook x360 11MK G3 EE)
        items:
          - const: google,burnet
          - const: mediatek,mt8183
      - description: Google Krane (Lenovo IdeaPad Duet, 10e,...)
        items:
          - enum:
              - google,krane-sku0
              - google,krane-sku176
          - const: google,krane
          - const: mediatek,mt8183
      - description: Google Cozmo (Acer Chromebook 314)
        items:
          - const: google,cozmo
          - const: mediatek,mt8183
      - description: Google Damu (ASUS Chromebook Flip CM3)
        items:
          - const: google,damu
          - const: mediatek,mt8183
      - description: Google Fennel (Lenovo IdeaPad 3 Chromebook)
        items:
          - enum:
              - google,fennel-sku0
              - google,fennel-sku1
              - google,fennel-sku2
              - google,fennel-sku6
              - google,fennel-sku7
          - const: google,fennel
          - const: mediatek,mt8183
      - description: Google Juniper (Acer Chromebook Spin 311) / Kenzo (Acer Chromebook 311)
        items:
          - enum:
              - google,juniper-sku16
              - google,juniper-sku17
          - const: google,juniper
          - const: mediatek,mt8183
      - description: Google Kakadu (ASUS Chromebook Detachable CM3)
        items:
          - const: google,kakadu-rev3
          - const: google,kakadu-rev2
          - const: google,kakadu
          - const: mediatek,mt8183
      - description: Google Kakadu (ASUS Chromebook Detachable CM3)
        items:
          - const: google,kakadu-rev3-sku22
          - const: google,kakadu-rev2-sku22
          - const: google,kakadu
          - const: mediatek,mt8183
      - description: Google Kappa (HP Chromebook 11a)
        items:
          - const: google,kappa
          - const: mediatek,mt8183
      - description: Google Kodama (Lenovo 10e Chromebook Tablet)
        items:
          - enum:
              - google,kodama-sku16
              - google,kodama-sku272
              - google,kodama-sku288
              - google,kodama-sku32
          - const: google,kodama
          - const: mediatek,mt8183
      - description: Google Willow (Acer Chromebook 311 C722/C722T)
        items:
          - enum:
              - google,willow-sku0
              - google,willow-sku1
          - const: google,willow
          - const: mediatek,mt8183
      - items:
          - enum:
              - mediatek,mt8183-pumpkin
          - const: mediatek,mt8183
      - items:
          - enum:
              - mediatek,mt8516-pumpkin
          - const: mediatek,mt8516

additionalProperties: true

...
